Bug 196680 - dlight needs small API changes in NB codebase
dlight needs small API changes in NB codebase
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
7.0
PC Solaris
: P1 (vote)
: 7.0
Assigned To: Andrew Krasny
dlight-issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-14 14:57 UTC by Andrew Krasny
Modified: 2011-03-31 08:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (3.21 KB, patch)
2011-03-14 14:58 UTC, Andrew Krasny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2011-03-14 14:57:52 UTC
Solstudio's dlight requires small changes in NB codebase. 
This is to provide an ability to make it possible to distinguish stacks from several processes by contextID.
Comment 1 Andrew Krasny 2011-03-14 14:58:41 UTC
Created attachment 106983 [details]
proposed patch
Comment 2 Andrew Krasny 2011-03-14 14:58:56 UTC
proposed patch is attached
Comment 3 Andrew Krasny 2011-03-14 15:02:22 UTC
Masha, please review..
Comment 4 Maria Tishkova 2011-03-14 16:38:37 UTC
fix looks safe
Comment 5 Andrew Krasny 2011-03-14 17:00:32 UTC
pushed to cnd-main (http://hg.netbeans.org/cnd-main/rev/a48f719b8e96)
Comment 6 Andrew Krasny 2011-03-18 17:29:48 UTC
transplanted from cnd-main 
a48f719b8e96 => 37a050960961
Comment 8 Quality Engineering 2011-03-31 08:48:44 UTC
Integrated into 'main-golden', will be available in build *201103310400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/193e3768990c
User: Maria Tishkova <mromashova@netbeans.org>
Log: added fix to BZ#196680: need to remove service info when shutting down


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo